Subject: Re: libidn update broke curl
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 3 Aug 2021 19:44:24 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-08-03 12:36, Achim Gratz wrote:
> Brian Inglis writes:
>> But I didn't believe Cygwin Setup would replace packages that are
>> still dependencies of installed packages, unless you explicitly ask it
>> to remove obsolete packages, rather than unneeded dependencies.
>>
>> Unless it was due to my marking libidn12 as obsoleting libidn11?
> 
> You never do that in this situation, since it tells setup to install
> libidn12 while removing libidn11, which it dutifully did.  Why'd you
> even get the idea that you should obsolete libidn11?

I assumed that existing package dependencies would override the 
obsoletion of libidn11, rather than the obsoletion overriding.

>> Maintainers: is that something that we should not do on a package ABI
>> break?
> 
> No, not at all.  You never obsolete library packages unless they really
> need to be removed and replaced by something else.
> 
>> How should maintainers handle such situations in cygport?
> 
> Nothing to do there, move along.  the older library version continues to
> exist and is used until all packages that depend on it have updated.
> 
>> I would like to know the correct approach to take to mitigate this and
>> future such situations before I create a curl -2 package release.
> 
> What you should check is that there is no transitive dependency to
> libidn11 left in the dependency chain for anything that depends on a
> package that uses the newer version.  If that is possible you ideally
> need to update all involved packages together.

Thanks, now I know not to do that.

Is Jon's change all that is required, or do I need to build and upload a 
libidn11 to replace the obsoleted version, as well as a current libidn12 
release with the obsolete removed?

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple